Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456376 - xorg crashes - BOGUS LENGTH in write keyboard desc
Summary: xorg crashes - BOGUS LENGTH in write keyboard desc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 503384 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 08:35 UTC by Adam Pribyl
Modified: 2018-04-11 10:58 UTC (History)
5 users (show)

Fixed In Version: 1.5.2-7.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 01:30:23 UTC


Attachments (Terms of Use)
xorg.conf (deleted)
2008-07-24 13:54 UTC, Adam Pribyl
no flags Details
Xorg log from downgraded X server (deleted)
2008-07-24 14:00 UTC, Adam Pribyl
no flags Details
xorg hangs or crashes after resume (deleted)
2009-06-20 15:31 UTC, Dmytro
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 21464 None None None Never

Description Adam Pribyl 2008-07-23 08:35:34 UTC
Description of problem:
Experiencing lot of crashes a day. Thought it is related to keyboard because of
message

BOGUS LENGTH in write keyboard desc 

in Xorg.0.log after crash, therefore tried to use evdev instead kbd keyboard
driver, but crashes continue, but with evdev there is a backtrace:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479ca5]
1: /lib64/libc.so.6 [0x7f1199d212a0]
2: /usr/bin/Xorg [0x5349fa]
3: /usr/bin/Xorg(ProcXkbGetKbdByName+0x5dd) [0x53becd]
4: /usr/bin/Xorg(Dispatch+0x364) [0x4467f4]
5: /usr/bin/Xorg(main+0x45d) [0x42cc4d]
6: /lib64/libc.so.6(__libc_start_main+0xfa) [0x7f1199d0d32a]
7: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42c029]

Comment 1 Matěj Cepl 2008-07-23 16:06:54 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Adam Pribyl 2008-07-24 13:54:27 UTC
Created attachment 312561 [details]
xorg.conf

Had to downgrade the Xorg to F8 version, otherwise machine was unusable.
xorg.conf is the same and is attached.

Comment 3 Adam Pribyl 2008-07-24 14:00:00 UTC
Created attachment 312562 [details]
Xorg log from downgraded X server

For the moment attaching the log from downgraded X server (fedora 8 version).
The message there is the same, but server is not crashing.

Comment 4 Matěj Cepl 2008-07-24 23:04:17 UTC
Thanks for the report. We are sorry that we cannot help you with your problem,
but we are not able to support binary-only drivers. If you would be able to
reproduce this issue using only open source software, please, reopen this bug
with the additional information, but in meantime I have no choice than to close
this bug as CANTFIX (because we really cannot fix it).

For users who are experiencing problems installing, configuring, or using the
unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides
indirect customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and passes them on to
Nvidia engineers for investigation.  Once they've isolated a particular problem,
it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have
experienced the particular problem may be able to assist.  If there is a real
bug occuring, Nvidia will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system releases that they
officially support.

While Red Hat does not support the proprietary nvidia driver, users requiring
technical support may also find the various X.Org, XFree86, and Red Hat mailing
lists helpful in finding assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo

Comment 5 Tomas Janousek 2009-05-19 09:44:34 UTC
Hello Adam,

are you still experiencing this issue? I have been hit by something similar lately and found two upstream reports you may be interested in:

http://bugs.freedesktop.org/show_bug.cgi?id=16458
http://bugs.freedesktop.org/show_bug.cgi?id=21464

I'm sorry for Matej treating you this way since you obviously solved the issue by downgrading Fedora components, not NVIDIA. I believe this is an issue in xkb or somewhere else in the Xserver and will try to get it solved.

Comment 6 Matěj Cepl 2009-05-21 13:26:46 UTC
(In reply to comment #5)
> I'm sorry for Matej treating you this way since you obviously solved the issue
> by downgrading Fedora components, not NVIDIA. I believe this is an issue in xkb
> or somewhere else in the Xserver and will try to get it solved.  

Just to note, I am not treating NVIDIA binary-only driver users to this treatment for some pathological hatred of proprietary software, I don't think nVidia programmers are stupid, nor I have any commercial reason for this (nor I think nv is the best thing since sliced bread). The problem is that NVIDIA driver changes A LOT of Xorg which is none of driver's business (because they have their own implementation for a lot of non-driver stuff) and not all of those changes work well with the rest of Xorg. We have many many bugs which went away (together with most of the functionality, true) when open source driver were used again and Xorg were cleared to the state we ship.

So, yes if you find an issue somewhere else in the free source Xorg, I don't claim it is not possible. However, we don't have time and capability to try to find a bug in the middle of unknown code (unknown for anybody outside of nvidia engineers).

Sorry for this.

Comment 7 thomas-redhat 2009-05-24 08:51:13 UTC
FYI, a fix for this issue (by Tomas) has been included in Xorg tree.

See http://bugs.freedesktop.org/show_bug.cgi?id=21464 .

Comment 8 Matěj Cepl 2009-05-24 13:25:59 UTC
Peter, will be push the upstream patch into our F10 Xorg?

Comment 9 Matěj Cepl 2009-05-24 13:27:17 UTC
Oh, this is F9? I am really afraid, we won't do much with that ... F9 will be EOLed soon anyway, so its users are expected to upgrade.

Comment 10 Fedora Update System 2009-05-24 23:55:53 UTC
xorg-x11-server-1.5.3-17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.5.3-17.fc10

Comment 11 Fedora Update System 2009-05-24 23:57:34 UTC
xorg-x11-server-1.5.2-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.5.2-7.fc9

Comment 12 Fedora Update System 2009-05-25 00:20:09 UTC
xorg-x11-server-1.6.1.901-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.1.901-2.fc11

Comment 13 Fedora Update System 2009-05-26 07:51:48 UTC
xorg-x11-server-1.5.3-17.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5480

Comment 14 Fedora Update System 2009-05-26 07:54:22 UTC
xorg-x11-server-1.5.2-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5490

Comment 15 Fedora Update System 2009-05-26 07:54:28 UTC
xorg-x11-server-1.6.1.901-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5491

Comment 16 Peter Hutterer 2009-06-02 22:34:55 UTC
*** Bug 503384 has been marked as a duplicate of this bug. ***

Comment 17 Bug Zapper 2009-06-10 02:11:24 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Fedora Update System 2009-06-16 01:30:17 UTC
xorg-x11-server-1.5.3-17.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-06-16 02:38:46 UTC
xorg-x11-server-1.5.2-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Dmytro 2009-06-20 15:31:16 UTC
Created attachment 348746 [details]
xorg hangs or crashes after resume

Comment 21 Peter Hutterer 2009-06-22 01:19:31 UTC
Dmytro: is that with xorg-x11-server-1.6.1.901-2.fc11?

Comment 22 Peter Hutterer 2009-06-22 01:21:07 UTC
gah, nevermind, i just saw it in the log. Please try -2 as detailed in Comment #15

Comment 23 Dmytro 2009-06-22 09:34:21 UTC
The second is much better. I have tried few most reproducible scenarios without any problem.

Comment 24 Fedora Update System 2009-07-08 22:29:50 UTC
xorg-x11-server-1.6.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.2-1.fc11

Comment 25 Fedora Update System 2009-07-28 23:29:50 UTC
xorg-x11-server-1.6.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.2-3.fc11

Comment 26 Fedora Update System 2009-08-13 22:11:52 UTC
xorg-x11-server-1.6.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.3-2.fc11

Comment 27 Fedora Update System 2009-08-17 05:02:44 UTC
xorg-x11-server-1.6.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.3-3.fc11

Comment 28 Tomas Janousek 2009-08-17 06:53:48 UTC
Is it necessary to mention this bug in every single xserver update in F11? Anyway, thanks for the publicity, it's lovely to be in so many updates.

Comment 29 Peter Hutterer 2009-08-17 21:44:50 UTC
that's done automatically. I think the reason for it is that the updates came before the previous versions were tagged as stable, so the bugs just get moved by bodhi. you can help avoid this by adding to the karma of the package so it reaches the required threshold for stable.

Comment 30 Francisco Moraes 2009-08-28 19:52:05 UTC
I am having this same problem with my FC11 system and all the current updates. Is there an updated version that doesn't suffer from the problem? I either get a crash or a hang when the problem happens.


Note You need to log in before you can comment on or make changes to this bug.